From 566b51483fed90a36108583c65a1b863b925ea49 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Dec 18 2023 21:58:22 +0000
Subject: [PATCH 8/19] [poliit]: upgrade to v123


---

diff --git a/nonsystemd/polkit/PKGBUILD b/nonsystemd/polkit/PKGBUILD
index 9c7c853..409438e 100644
--- a/nonsystemd/polkit/PKGBUILD
+++ b/nonsystemd/polkit/PKGBUILD
@@ -3,8 +3,13 @@
 # Maintainer (artix): Nathan Owens <ndowens@artixlinux.org>
 # Maintainer: Parabola Hackers <dev@lists.parabola.nu>
 
+
+# parabola changes and rationale:
+# - use upstream source-ball rather than VCS sources
+
+
 pkgname=polkit
-pkgver=122
+pkgver=123
 pkgrel=1
 pkgrel+=.nonsystemd1
 pkgdesc="Application development toolkit for controlling system-wide privileges"
@@ -20,36 +25,37 @@ depends=(
   pam
 )
 makedepends=(
-  meson
-  gtk-doc
-  gobject-introspection
   git
+  gobject-introspection
+  gtk-doc
+  meson
 )
 checkdepends=(python-dbusmock)
 checkdepends_i686=(dbus-python) # FIXME: arch32 FS#252
 provides=(libpolkit-{agent,gobject}-1.so)
 backup=(etc/pam.d/polkit-1)
 options=(debug)
-_commit=da87c5698019897dd731bb2cbb54ebd9c9481f52  # tags/122
+# we use source-ball
 source=(
-  "git+https://gitlab.freedesktop.org/polkit/polkit.git#commit=$_commit"
+  https://gitlab.freedesktop.org/polkit/polkit/-/archive/${pkgver}/${pkgname}-${pkgver}.tar.gz
   '99-artix.rules'
   '0001-remove-sysd.patch')
-b2sums=('SKIP'
+b2sums=('38a1afcc6d5da0d4bc572c83ac682a2946f4ce48905430d1f5dd76fd22b58b0dd1573d5dad2e82518852ab7f48919af0f0c601e3f6b03c9420efb9725b345a04'
         'd320d928b5480b5b8143717e6f88101912709020efc9583fbb233a2cc11aff51d36226b94cf69104db06f330e04d4dcfd6e4c7b027df75a3c72c43adec625fb2'
-        'aadd7eb9dee584c7c0721e472b1ea52e6f7dcd1fffaea34bcc93baebccfa7c693db2478a83f0281005ead721523ace92222f06697faf98f13c50b09ca2d88848')
+        'f7e2d94c79c8e1e5cf65c6c22f888f95ca9689137d30ff62759bb3ca91b43900c293afbb0cbd3954c889dc5cf3531a2a37c258b53fe0c0f866706376fcd6e37d')
 
-pkgver() {
-  cd polkit
-  git describe --tags | sed 's/[^-]*-g/r&/;s/-/+/g'
-}
 
 prepare() {
+  ln -s ${pkgname}-${pkgver} polkit # minimize diff
+
   cd polkit
   patch -Np1 -i ../0001-remove-sysd.patch
 }
 
 build() {
+  artix-meson() { arch-meson "$@" ; } # minimize diff
+
+
   local meson_options=(
     -D examples=true
     -D gtk_doc=true
@@ -59,7 +65,7 @@ build() {
     -D tests=true
   )
 
-  arch-meson polkit build "${meson_options[@]}"
+  artix-meson polkit build "${meson_options[@]}"
   meson compile -C build
 }
 
@@ -70,10 +76,9 @@ check() {
 package() {
   meson install -C build --destdir "$pkgdir"
 
-  install -Dm644 "${srcdir}"/polkit/src/polkitbackend/50-default.rules \
-        "${pkgdir}"/etc/polkit-1/rules.d
+  install -d -o root -g 102 -m 750 "$pkgdir"/{etc,usr/share}/polkit-1/rules.d
 
-  install -Dm0644 /dev/stdin "$pkgdir/usr/lib/sysusers.d/$pkgname.conf" <<END
+  install -Dm644 /dev/stdin "$pkgdir/usr/lib/sysusers.d/$pkgname.conf" <<END
 u polkitd 102 "PolicyKit daemon"
 m polkitd proc
 END

